---
title: Console.group()
slug: Web/API/Console/group
tags:
  - API
  - DOM
  - Debugging
  - Method
  - Web Development
  - web console
---
<div>{{APIRef("Console API")}}</div>

<p>Creates a new inline group in the <a href="/en-US/docs/Tools/Web_Console">Web Console</a> log. This indents following console messages by an additional level, until {{domxref("console.groupEnd()")}} is called.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">console.group([label]);
</pre>

<h2 id="Parameters">Parameters</h2>

<dl>
	<dt><code>label</code></dt>
	<dd>Label for the group. Optional. (Chrome 59 tested) Does not work with <code>console.groupEnd()</code>.</dd>
</dl>

<p>{{h3_gecko_minversion("Using groups in the console", "9.0")}}</p>

<p>You can use nested groups to help organize your output by visually associating related messages. To create a new nested block, call <code>console.group()</code>. The <code>console.groupCollapsed()</code> method is similar, but the new block is collapsed and requires clicking a disclosure button to read it.</p>

<p><strong>Note:</strong> From Gecko 9 until Gecko 51, the <code>groupCollapsed()</code> method was the same as <code>group()</code>. Collapsed groups are fully supported starting in Gecko 52. See {{bug("1088360")}}.</p>

<p>To exit the current group, call <code>console.groupEnd()</code>. For example, given this code:</p>

<pre class="brush: js">console.log("This is the outer level");
console.group();
console.log("Level 2");
console.group();
console.log("Level 3");
console.warn("More of level 3");
console.groupEnd();
console.log("Back to level 2");
console.groupEnd();
console.log("Back to the outer level");
</pre>

<p>The output looks like this:</p>

<p><img alt="A screenshot of messages nested in the console output." src="/@api/deki/files/6082/=nesting.png"></p>

<p>See <a href="/en-US/docs/Web/API/console#Using_groups_in_the_console">Using groups in the console</a> in the documentation of {{domxref("console")}} for more details.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("Console API", "#group", "console.group()")}}</td>
			<td>{{Spec2("Console API")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Console.group")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a class="external" href="http://www.opera.com/dragonfly/documentation/console/">Opera Dragonfly documentation: Console</a></li>
</ul>
